require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&AACQ_FREE)) {
    sub AACQ_FREE () {	0;}
}
unless(defined(&AACQ_BIO)) {
    sub AACQ_BIO () {	1;}
}
unless(defined(&AACQ_READY)) {
    sub AACQ_READY () {	2;}
}
unless(defined(&AACQ_BUSY)) {
    sub AACQ_BUSY () {	3;}
}
unless(defined(&AACQ_COUNT)) {
    sub AACQ_COUNT () {	4;}
}
unless(defined(&AACIO_STATS)) {
    sub AACIO_STATS () {	 &_IOWR(ord('T'), 101, 'union aac_statrequest');}
}
unless(defined(&CTL_CODE)) {
    sub CTL_CODE {
	my($devType, $func, $meth, $acc) = @_;
	eval q(((($devType) << 16) | (($acc) << 14) | (($func) << 2) | ($meth)));
    }
}
unless(defined(&METHOD_BUFFERED)) {
    sub METHOD_BUFFERED () {	0;}
}
unless(defined(&METHOD_IN_DIRECT)) {
    sub METHOD_IN_DIRECT () {	1;}
}
unless(defined(&METHOD_OUT_DIRECT)) {
    sub METHOD_OUT_DIRECT () {	2;}
}
unless(defined(&METHOD_NEITHER)) {
    sub METHOD_NEITHER () {	3;}
}
unless(defined(&FILE_ANY_ACCESS)) {
    sub FILE_ANY_ACCESS () {	0;}
}
unless(defined(&FILE_READ_ACCESS)) {
    sub FILE_READ_ACCESS () {	( 0x1 );}
}
unless(defined(&FILE_WRITE_ACCESS)) {
    sub FILE_WRITE_ACCESS () {	( 0x2 );}
}
unless(defined(&FILE_DEVICE_CONTROLLER)) {
    sub FILE_DEVICE_CONTROLLER () {	0x4;}
}
unless(defined(&FSACTL_LNX_SENDFIB)) {
    sub FSACTL_LNX_SENDFIB () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2050,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_SEND_RAW_SRB)) {
    sub FSACTL_LNX_SEND_RAW_SRB () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2067,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_GET_COMM_PERF_DATA)) {
    sub FSACTL_LNX_GET_COMM_PERF_DATA () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2084,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_OPENCLS_COMM_PERF_DATA)) {
    sub FSACTL_LNX_OPENCLS_COMM_PERF_DATA () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2085,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_OPEN_GET_ADAPTER_FIB)) {
    sub FSACTL_LNX_OPEN_GET_ADAPTER_FIB () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2100,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_GET_NEXT_ADAPTER_FIB)) {
    sub FSACTL_LNX_GET_NEXT_ADAPTER_FIB () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2101,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_CLOSE_GET_ADAPTER_FIB)) {
    sub FSACTL_LNX_CLOSE_GET_ADAPTER_FIB () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2102,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_CLOSE_ADAPTER_CONFIG)) {
    sub FSACTL_LNX_CLOSE_ADAPTER_CONFIG () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2104,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_OPEN_ADAPTER_CONFIG)) {
    sub FSACTL_LNX_OPEN_ADAPTER_CONFIG () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2105,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_MINIPORT_REV_CHECK)) {
    sub FSACTL_LNX_MINIPORT_REV_CHECK () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2107,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_QUERY_ADAPTER_CONFIG)) {
    sub FSACTL_LNX_QUERY_ADAPTER_CONFIG () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2113,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_GET_PCI_INFO)) {
    sub FSACTL_LNX_GET_PCI_INFO () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2119,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_FORCE_DELETE_DISK)) {
    sub FSACTL_LNX_FORCE_DELETE_DISK () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2120,  &METHOD_NEITHER,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_AIF_THREAD)) {
    sub FSACTL_LNX_AIF_THREAD () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2127,  &METHOD_NEITHER,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_SEND_LARGE_FIB)) {
    sub FSACTL_LNX_SEND_LARGE_FIB () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2138,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_GET_FEATURES)) {
    sub FSACTL_LNX_GET_FEATURES () {	 &CTL_CODE( &FILE_DEVICE_CONTROLLER, 2139,  &METHOD_BUFFERED,  &FILE_ANY_ACCESS);}
}
unless(defined(&FSACTL_LNX_NULL_IO_TEST)) {
    sub FSACTL_LNX_NULL_IO_TEST () {	0x43;}
}
unless(defined(&FSACTL_LNX_SIM_IO_TEST)) {
    sub FSACTL_LNX_SIM_IO_TEST () {	0x53;}
}
unless(defined(&FSACTL_LNX_DOWNLOAD)) {
    sub FSACTL_LNX_DOWNLOAD () {	0x83;}
}
unless(defined(&FSACTL_LNX_GET_VAR)) {
    sub FSACTL_LNX_GET_VAR () {	0x93;}
}
unless(defined(&FSACTL_LNX_SET_VAR)) {
    sub FSACTL_LNX_SET_VAR () {	0xa3;}
}
unless(defined(&FSACTL_LNX_GET_FIBTIMES)) {
    sub FSACTL_LNX_GET_FIBTIMES () {	0xb3;}
}
unless(defined(&FSACTL_LNX_ZERO_FIBTIMES)) {
    sub FSACTL_LNX_ZERO_FIBTIMES () {	0xc3;}
}
unless(defined(&FSACTL_LNX_DELETE_DISK)) {
    sub FSACTL_LNX_DELETE_DISK () {	0x163;}
}
unless(defined(&FSACTL_LNX_QUERY_DISK)) {
    sub FSACTL_LNX_QUERY_DISK () {	0x173;}
}
unless(defined(&FSACTL_LNX_PROBE_CONTAINERS)) {
    sub FSACTL_LNX_PROBE_CONTAINERS () {	2131;}
}
unless(defined(&FSACTL_SENDFIB)) {
    sub FSACTL_SENDFIB () {	 &_IO(ord('8'), 2);}
}
unless(defined(&FSACTL_SEND_RAW_SRB)) {
    sub FSACTL_SEND_RAW_SRB () {	 &_IO(ord('8'), 19);}
}
unless(defined(&FSACTL_GET_COMM_PERF_DATA)) {
    sub FSACTL_GET_COMM_PERF_DATA () {	 &_IO(ord('8'), 36);}
}
unless(defined(&FSACTL_OPENCLS_COMM_PERF_DATA)) {
    sub FSACTL_OPENCLS_COMM_PERF_DATA () {	 &_IO(ord('8'), 37);}
}
unless(defined(&FSACTL_OPEN_GET_ADAPTER_FIB)) {
    sub FSACTL_OPEN_GET_ADAPTER_FIB () {	 &_IO(ord('8'), 52);}
}
unless(defined(&FSACTL_GET_NEXT_ADAPTER_FIB)) {
    sub FSACTL_GET_NEXT_ADAPTER_FIB () {	 &_IO(ord('8'), 53);}
}
unless(defined(&FSACTL_CLOSE_GET_ADAPTER_FIB)) {
    sub FSACTL_CLOSE_GET_ADAPTER_FIB () {	 &_IO(ord('8'), 54);}
}
unless(defined(&FSACTL_CLOSE_ADAPTER_CONFIG)) {
    sub FSACTL_CLOSE_ADAPTER_CONFIG () {	 &_IO(ord('8'), 56);}
}
unless(defined(&FSACTL_OPEN_ADAPTER_CONFIG)) {
    sub FSACTL_OPEN_ADAPTER_CONFIG () {	 &_IO(ord('8'), 57);}
}
unless(defined(&FSACTL_MINIPORT_REV_CHECK)) {
    sub FSACTL_MINIPORT_REV_CHECK () {	 &_IO(ord('8'), 59);}
}
unless(defined(&FSACTL_QUERY_ADAPTER_CONFIG)) {
    sub FSACTL_QUERY_ADAPTER_CONFIG () {	 &_IO(ord('8'), 65);}
}
unless(defined(&FSACTL_GET_PCI_INFO)) {
    sub FSACTL_GET_PCI_INFO () {	 &_IO(ord('8'), 71);}
}
unless(defined(&FSACTL_FORCE_DELETE_DISK)) {
    sub FSACTL_FORCE_DELETE_DISK () {	 &_IO(ord('8'), 72);}
}
unless(defined(&FSACTL_AIF_THREAD)) {
    sub FSACTL_AIF_THREAD () {	 &_IO(ord('8'), 79);}
}
unless(defined(&FSACTL_SEND_LARGE_FIB)) {
    sub FSACTL_SEND_LARGE_FIB () {	 &_IO(ord('8'), 90);}
}
unless(defined(&FSACTL_GET_FEATURES)) {
    sub FSACTL_GET_FEATURES () {	 &_IO(ord('8'), 91);}
}
unless(defined(&FSACTL_NULL_IO_TEST)) {
    sub FSACTL_NULL_IO_TEST () {	 &_IO(ord('8'), 67);}
}
unless(defined(&FSACTL_SIM_IO_TEST)) {
    sub FSACTL_SIM_IO_TEST () {	 &_IO(ord('8'), 83);}
}
unless(defined(&FSACTL_DOWNLOAD)) {
    sub FSACTL_DOWNLOAD () {	 &_IO(ord('8'), 131);}
}
unless(defined(&FSACTL_GET_VAR)) {
    sub FSACTL_GET_VAR () {	 &_IO(ord('8'), 147);}
}
unless(defined(&FSACTL_SET_VAR)) {
    sub FSACTL_SET_VAR () {	 &_IO(ord('8'), 163);}
}
unless(defined(&FSACTL_GET_FIBTIMES)) {
    sub FSACTL_GET_FIBTIMES () {	 &_IO(ord('8'), 179);}
}
unless(defined(&FSACTL_ZERO_FIBTIMES)) {
    sub FSACTL_ZERO_FIBTIMES () {	 &_IO(ord('8'), 195);}
}
unless(defined(&FSACTL_DELETE_DISK)) {
    sub FSACTL_DELETE_DISK () {	 &_IO(ord('8'), 99);}
}
unless(defined(&FSACTL_QUERY_DISK)) {
    sub FSACTL_QUERY_DISK () {	 &_IO(ord('9'), 115);}
}
unless(defined(&FSACTL_PROBE_CONTAINERS)) {
    sub FSACTL_PROBE_CONTAINERS () {	 &_IO(ord('9'), 83);}
}
if(defined(&_KERNEL)) {
}
1;
